mail archive of the barebox mailing list
 help / color / mirror / Atom feed
From: Renaud Barbier <renaud.barbier@ge.com>
To: barebox@lists.infradead.org
Subject: [PATCH 1/2] DA923RC: add boot script
Date: Mon,  3 Feb 2014 15:08:24 +0000	[thread overview]
Message-ID: <1391440105-16959-2-git-send-email-renaud.barbier@ge.com> (raw)
In-Reply-To: <1391440105-16959-1-git-send-email-renaud.barbier@ge.com>

A boot script is added to load DTB and Linux images for booting.
The init script starts the boot script after a 5s timeout window.

Signed-off-by: Renaud Barbier <renaud.barbier@ge.com>
---
 arch/ppc/boards/geip-da923rc/env/bin/boot |    9 +++++++++
 arch/ppc/boards/geip-da923rc/env/bin/init |   10 ++++++++++
 2 files changed, 19 insertions(+), 0 deletions(-)
 create mode 100644 arch/ppc/boards/geip-da923rc/env/bin/boot

diff --git a/arch/ppc/boards/geip-da923rc/env/bin/boot b/arch/ppc/boards/geip-da923rc/env/bin/boot
new file mode 100644
index 0000000..ce7da18
--- /dev/null
+++ b/arch/ppc/boards/geip-da923rc/env/bin/boot
@@ -0,0 +1,9 @@
+#!/bin/sh
+#Load the firmware images from the NOR UBIFS file system and boot
+
+readlink /mnt/active symlink
+
+bootargs="ubi.mtd=nand root=ubi0:fs-active rootfstype=ubifs rw panic=25"
+cp /mnt/$symlink/uImage /
+cp /mnt/$symlink/dtb /
+bootm -o /dtb /uImage
\ No newline at end of file
diff --git a/arch/ppc/boards/geip-da923rc/env/bin/init b/arch/ppc/boards/geip-da923rc/env/bin/init
index 330a435..80cc2cf 100644
--- a/arch/ppc/boards/geip-da923rc/env/bin/init
+++ b/arch/ppc/boards/geip-da923rc/env/bin/init
@@ -14,3 +14,13 @@ fi
 
 mkdir /mnt
 mount -t ubifs /dev/ubi0.boot /mnt
+
+echo
+echo -n "Hit ctrl-c to stop autoboot: "
+timeout -c 5
+
+if [ $? -ne 0 ]; then
+	exit 0
+fi
+
+boot
-- 
1.7.1


_______________________________________________
barebox mailing list
barebox@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/barebox

  reply	other threads:[~2014-02-03 15:09 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-02-03 15:08 [PATCH 0/2] DA923RC: boot script and malloc size Renaud Barbier
2014-02-03 15:08 ` Renaud Barbier [this message]
2014-02-03 15:08 ` [PATCH 2/2] DA923RC: increase " Renaud Barbier
2014-02-04  7:13 ` [PATCH 0/2] DA923RC: boot script and " Sascha Hauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1391440105-16959-2-git-send-email-renaud.barbier@ge.com \
    --to=renaud.barbier@ge.com \
    --cc=barebox@lists.infradead.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox